include $(top_srcdir)/gnuscripts/lalsuite_header_links.am

pkginclude_HEADERS = \
	Factorial.h \
	FindRoot.h \
	Integrate.h \
	Interpolate.h \
	LALAdaptiveRungeKuttaIntegrator.h \
	LALBitset.h \
	LALHashFunc.h \
	LALHashTbl.h \
	LALHeap.h \
	LALRunningMedian.h \
	MatrixUtils.h \
	ODE.h \
	Random.h \
	RngMedBias.h \
	Sort.h \
	SphericalHarmonics.h \
	$(END_OF_LIST)

noinst_LTLIBRARIES = libutilities.la

libutilities_la_SOURCES = \
	DetInverse.c \
	Eigen.c \
	FindRoot.c \
	HeapSort.c \
	InsertionSort.c \
	Integrate.c \
	Interpolate.c \
	LALAdaptiveRungeKuttaIntegrator.c \
	LALBitset.c \
	LALCityHash.c \
	LALHashTbl.c \
	LALHeap.c \
	LALPearsonHash.c \
	LALRunningMedian.c \
	MatrixOps.c \
	ODE.c \
	Random.c \
	RngMedBias.c \
	SphericalHarmonics.c \
	$(END_OF_LIST)

EXTRA_DIST = \
	$(END_OF_LIST)
